/***************************************************************************
 * settabdrum.h: implementation of SetTabDrum class
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2003-2006 the KTabEdit development team <mrgwen@gmail.com>
 * copyright (C) 2002-2003 the KGuitar development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef SETTABDRUM_H
#define SETTABDRUM_H

#include <QWidget>
#include <QResizeEvent>
#include <QSpinBox>
#include <QLineEdit>

#include "global.h"
#include "settab.h"

/**
	TODO
*/
class SetTabDrum
: public QWidget,
  public SetTab
{
    Q_OBJECT
public:
	/*!
		TODO
	*/
	SetTabDrum(QWidget *parent);
	/*!
		TODO
	*/
	void setDrums(int n) { dr->setValue(n); };
		
	/*!
		TODO
	*/
	void setTune(uchar x, uchar n) { tuner[x]->setValue(n); };
		
	/*!
		TODO
	*/
	uchar strings() const { return dr->value(); };
	
	uchar frets() const { return 0; };
	/*!
		TODO
	*/
	uchar tune(uchar x) const { return tuner[x]->value(); };
	
public slots:
    void stringChanged(int n);

private:
    virtual void resizeEvent(QResizeEvent *e);
    void reposTuners();

    QSpinBox *dr;
    QSpinBox *tuner[MAX_STRINGS];
	QLineEdit *tname[MAX_STRINGS];
    int oldst;
};

#endif
